[Tinyos-help] About pogram error 57 in usip when trying to program a mote with cywin: Problem solved

Michael Schippling schip at santafe.edu
Sun Nov 14 10:30:39 PST 2010


I suppose it's too late to look at your old install,
but can you run this in your new cygwin shell:

    cygcheck -s

It will dump out a lot of info about paths and version
numbers, one of which should be the base dll ID, like:

     Cygwin DLL version info:
         DLL version: 1.5.18

AFAIK, this is as close as one can get to a cygwin version ID.

Perhaps others who have "error 57" problems can do the same
and we may be able to get some traction on this. I haven't
followed carefully, but I seem to remember the error being
intermittent for some people. Is/was that true?

MS


barbaran wrote:
> Hi all, 
> 
> Around March of this year I posted a problem when trying to program a mote
> using TinyOS installed over cygwin, and I got error 57 when using uisp.
> Other folks told me that they had the same problem even in Windows XP or 7,
> but no one solution came up, so in that days a take the option of
> installing VMware, but now I dont want to use it anymore, so I searched
> into avr forums, and it seems that installing a new version of cygwin
> everything would be all right. 
> 
> Yesterday I tried again, using Windows 7, so... firstly, I installed
> tinyos using cygwin and rpms available, from the tinyos website, I got the
> error 57 problem when trying to test Blink application into a micaZ. Then,
> without uninstalling anything, I downloaded a new version cygwin and
> installed it over the other one, after a while installing (as the
> installation program download every cygwin's package separately) I didn't
> notice any difference with cygwin and neither with tinyos as all the
> packages were still installed, and when I tried to program, everything
> works fine!! 
> 
> So, this e-mail it is only for those who get the error 57 when trying to
> program a sensor, so they only need to update the cygwin, I think the
> reason is that some windows update is creating some problem with the tinyos
> website cygwin version, so yu only need to update it to the latest.
> 
> I would also propose to the tinyos website administrator to change the
> cygwin installer reference, or at least put a comment about this, because
> this problem could be causing some people that want to use TinyOS into
> Windows to use other o.s. or have a mess trying to install vmware or even
> installing a Linux.
> 
> Regards,
> 
> Javier Barbarán
> barbaran at lcc.uma.es
> _______________________________________________
> Tinyos-help mailing list
> Tinyos-help at millennium.berkeley.edu
> https://www.millennium.berkeley.edu/cgi-bin/mailman/listinfo/tinyos-help


More information about the Tinyos-help mailing list